Identifiers in fabric APIs
This topic explains how fabric usessku, itemId, pricelineId, and inventoryId as methods of identification with fabric APIs.
In general, fabric uses sku to specify a product because it’s used across all domains. However, other identifiers are also used in certain API services.
fabric recommends avoiding
itemId in V3 API implementations. However, itemId is still supported and used in V2.Product catalog
Stock keeping unit (SKU)
In Product Catalog, asku is a unique identifier for a specific product. SKUs are created by the user when adding a product. SKUs are the preferred method for managing products. They allow you to monitor, publish, and unpublish products.
You can perform several key actions with SKUs to manage products and their lifecycles.
The following table shows examples of supported operations using sku:
Similar to SKUs, the
itemId is also used to identify products in Product Catalog.
However, unlike SKUs,itemId is automatically generated by the fabric system when a new product is created.
The following table shows examples of supported operations using itemId:
Offers
Stock keeping unit (SKU)
fabric’s Offers APIs enable you to manage prices and create various types of discounts and promotions usingsku.
The following are some examples of operations in Offers that are supported using sku:
Item ID
fabric’s Offers APIs enable you to manage prices and create various types of discounts and promotions usingitemId.
The following are some examples of operations in Offers that are supported using itemId:
Price list ID
Offers API creates apriceListId when generating a price list, which includes generic information such as currency.
The priceListId is used to identify entities that specify how the items should be priced.
The following are some examples of how priceListId is utilized:
Carts
Stock keeping unit (SKU)
The Carts API allows you to add, update, and remove items, and those items can be identified bysku, from the storefront cart.
When creating a checkout, the system uses the cartId to identify all items using sku in the specific cart.
While sku isn’t used in the path parameter for Carts endpoints, it’s used in the request body. The following shows examples of operations where you use sku in the request body and view it in the response body:
Item ID
The Carts endpoint creates a cart-specificitemId, also referred to as lineItemId. You can use the itemId to add an item to the corresponding cartId and adjust prices.
The following are some examples of operations in Carts that are supported using itemId:
Price list ID
The Carts API usespriceListId to calculate prices and evaluate discounts for individual products and carts. This ensures accurate pricing when items are added to a cart.
The following are some examples of how priceListId is utilized:
Orders
Stock keeping unit (SKU)
When creating or modifying an order, you can add one or moresku by selecting a network and channel, a network and channel, which enables browsing for all the available sku.
Only sku with an “Available” stock status and availability greater than or equal to one can be added to an order.
You can select more than one sku at once and specify the quantity for each.
Orders display sku information, including sku, price per unit, quantity, and availability.
sku is used as unique identifier for items in an order. Order details typically show sku, quantity, and total cost for each item.
The following are some examples of when sku is used to verify that orders contain the correct items:
Item ID
When creating or modifying an order, you can add one ore moresku by selecting a network and channel, and then browsing available itemId.
Only itemId with an “Available” stock status and availability greater than or equal to one can be added to an order.
You can select more than one itemId at once and specify the quantity for each.
Orders display itemId information, including itemId, price per unit, quantity, and availability.
itemId is used as a unique identifier for items in an order. Order details typically show itemId, quantity, and total cost for each item.
The following are some examples of when itemId is used to verify that orders contain the correct items:
Inventory
Stock keeping unit (SKU)
When you create inventory, thesku is stored as a native value.
During network setup, you can apply conditional rules to include specific SKUs and configure safety stock levels to maintain optimal inventory availability.
Inventory networks also aggregate sku quantities across various locations. Even if sku isn’t directly referenced in some endpoints, they play a crucial role in the background.
The following are some examples of operations in Inventory that are supported using sku:
Item ID
When you create inventory, theitemId is stored as a native value.
During network setup, you can apply conditional rules to include a specific itemId and configure safety stock levels to maintain optimal inventory availability.
Inventory networks also aggregate itemId quantities across various locations. Even if sku isn’t directly referenced in some endpoints, they play a crucial role in the background.
The following are some examples of operations in Inventory that are supported by itemId:
Shipping Method Association:
itemId are used to determine which items are associated with specific shipping methods.
Inventory ID
inventoryId is used to track inventory to manage and track product stock across different locations, channels, and items.
Inventory is the only domain that uses inventoryId.
The following are some examples of how inventoryId is utilized:
